<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Attribute and Links</title>
	</head>
	<body>

		<!-- HTML Attribute chages the default behavior of HTML elements -->
		
		<!-- id attribute assigns a unique name identifier to an element -->

		<h2 id="top">HTML Attributes</h2>

		<!-- align atrtribute - changes the alignment of the paragraph element -->
		<p align= "center"><em>Modifiers of element behaviors.</em></p>

		<h2>HTML Images</h2>

		<!-- HTML entities - There are special characters used into HTML elements to show HTML reserve characters -->

		<p>
			<em>An image can be shown using &lt;img&gt; tag along with its <strong> src attributes</strong>
			</em>
		</p>


		<!-- src attriutes accepts a url/link -->
		<!-- using absolute link -->

		<!-- any HTML tag wrapped inside -->
		<a href="https://place-puppy.com/">
		<img src="https://place-puppy.com/300x300">
		</a>
		<p>
			<!-- <code> tag - used to defien a piece of coputer code and display it in the browser using default monospcae font -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&lt;
			</code>
		</p> 


<!-- using relative link -->

<!-- 
	- target attribute defines where the link will be opened.
	- "blank" value will open the link will be opened. -->
		<a href="https://zuitt.co" target="blank">
			<img src="./images/Zuitt Logo.png">
		</a>
		<p>
			<code>
				&lt;"./images/Zuitt Logo.png"&gt;
			</code>
		</p>

		<p> Valid image extensions are the following
			<!-- 
			-type attibutes for <ol> :
				-1
				-A or a
				-I or i 
			-reversed attiribute reverse the order of the bullet points but not the content.-->

		<ol type="a" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>

		</ol>

		<p>take a look at w3schosls attriute references <a href="https://www.w3schools.com/tags/att_a_target.asp"> here</p>


		<h2>HTML links</h2>

		<h4>Absolute link</h4>

		<!-- 
			-<a> tag is used to create a link to differnet page or sections.
			- href attributes means "hypertext reference" 
			Notes

			-->
		<a href="https://zuitt.co">I'm a hyperlink</a>

		<h4>Relative Link</h4>

		<p> Go to <a href="./link.html">link.html</a> page.</p>
		<p> Go to <a href="#top">top</a></p>

		<!-- This is an example of within page relative hyperlink -->
		
	</body> 
</html>